import request, { postBlob, getBlob, handleImport } from '@/utils/request'

// 获取师傅列表
export function noticeListPageV2(data) {
  return request({
    url: `/notice/listNotice?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function noticePageExport(data, name) {
  return postBlob({
    url: '/notice/listNotice/export',
    data,
    name
  })
}

export function noticeAdd(data) {
  return request({
    url: '/notice/add',
    method: 'post',
    data
  })
}
export function noticeUpdate(data) {
  return request({
    url: '/notice/update',
    method: 'post',
    data
  })
}

export function noticeDel(params) {
  return request({
    url: '/notice/mark/del',
    method: 'post',
    params
  })
}

export function getNoticeDetail(params) {
  return request({
    url: '/notice/detailNotice',
    method: 'get',
    params
  })
}